[arch-commits] CVS update of extra/multimedia/swfdec-mozilla (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Apr 28 16:40:32 EDT 2007


    Date: Saturday, April 28, 2007 @ 16:40:32
  Author: andyrtr
    Path: /home/cvs-extra/extra/multimedia/swfdec-mozilla

   Added: PKGBUILD (1.1)

updatepkg 0.4.4; added swfdec-mozilla


----------+
 PKGBUILD |   34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)


Index: extra/multimedia/swfdec-mozilla/PKGBUILD
diff -u /dev/null extra/multimedia/swfdec-mozilla/PKGBUILD:1.1
--- /dev/null	Sat Apr 28 16:40:32 2007
+++ extra/multimedia/swfdec-mozilla/PKGBUILD	Sat Apr 28 16:40:32 2007
@@ -0,0 +1,34 @@
+#$Id: PKGBUILD,v 1.1 2007/04/28 20:40:32 andyrtr Exp $
+#Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=swfdec-mozilla
+pkgver=0.4.4
+pkgrel=1
+pkgdesc="free plugin for Mozilla browsers that uses the Swfdec library for playing SWF files"
+license="LGPL"
+arch=(i686 x86_64)
+url="http://swfdec.freedesktop.org"
+license=(LGPL)
+depends=(swfdec=$pkgver)
+source=(http://swfdec.freedesktop.org/download/swfdec-mozilla/0.4/${pkgname}-${pkgver}.tar.gz)
+md5sums=('7d546ac5cc296e58198bb53ccb977021')
+options=(nolibtool)
+
+build() {
+#  [ -z "${MOZ_PLUGIN_PATH}" ] && . /etc/profile.d/mozilla-common.sh
+
+  cd ${startdir}/src/${pkgname}-${pkgver}
+
+  # xulrunner is not supported so far
+  sed -i "s/firefox/xulrunner/g" configure
+
+  ./configure  --prefix=/opt --disable-static
+  MOZILLA_DIR=mozilla
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+
+  # workaround to move files where we want them
+  mkdir -p $startdir/pkg/opt/mozilla/lib/plugins/
+  mv $startdir/pkg/opt/lib/mozilla-xulrunner/plugins/* $startdir/pkg/opt/mozilla/lib/plugins/
+  rm -rf $startdir/pkg/opt/lib
+}




More information about the arch-commits mailing list